≡ Menu

WordPress 2.8.3

info

E’ disponibile l’aggiornamento per la nuova versione 2.8.3 di WordPress. [NOTA: dalla release 2.7 in poi, gli aggiornamenti della piattaforma potranno essere effettuati con estrema semplicità  direttamente dalla bacheca]. La nuova release pone di fatto termine alle problematiche in merito alla sicurezza riscontrate e solo parzialmente risolte nella precedente versione 2.8.1: é preferibile quindi un upgrade quanto meno immediato.

[wp-tabbity title="Info" id="a"]
Per ulteriori e dettagliate informazioni:

[/wp-tabbity]
[wp-tabbity title="Note" id="b"]
(!) Effettuare il backup del database prima di avviare l’aggiornamento automatico (o manuale)

Una volta completato l’upgrade, verificare che il tutto funzioni correttamente e cambiare la password

gidibao's Cafe | immagine di presentazione

presentazione

Per ulteriori informazioni circa gli aggiornamenti, vai all’articolo: Come aggiornare WordPress

[/wp-tabbity]
[wp-tabbitygroup]

{ 16 comments… add one }

  • gidibao 10 novembre 2009, 14:49

    Ciao enzo,

    hai provato ad aggiornare alla versione 2.8.5 in inglese? Il problema persiste?

    Fammi sapere…

    Gianni

  • enzo 10 novembre 2009, 11:21

    problema ad aggiornare wordpress
    acqusitato dominio e spazio in tophost
    al momento ho la penultima versione di wp cerco di fare l’installazione e mi dice questo
    help me grazie

    Scompattamento dell´aggiornamento.

    Impossibile copiare il file: /home/mhd-01/www.unsecondo.com/htdocs/blog/wp-content/upgrade/wordpress-2.8.5-it_IT10/wordpress/wp-includes/script-loader.php

    Installazione fallita

  • Alfredo 6 agosto 2009, 8:38

    Niente, questa sera procedo con l’aggiornamento manuale.

  • Stefan 6 agosto 2009, 1:31

    Sito di riferimento in inglese per il problema sul file http.php

    http://wordpress.org/support/topic/278585

  • Stefan 5 agosto 2009, 20:36

    Alfredo tranquillo, quest’ultimo ਠil classico problema delle permission di aruba, per ripristinare al volo, vai sul pannello di controllo (di aruba) e riassegna le permission, vedrai che tutto si sistema… io invece sto sempre sclerando per il problema del http.php

  • Alfredo 5 agosto 2009, 18:56

    Niente da fare, mi da:
    Internal Server Error
    The server encountered an internal error or misconfiguration and was unable to complete your request.
    Please contact the server administrator, postmaster@clubvelicomp.it and inform them of the time the error occurred, and anything you might have done that may have caused the error.
    More information about this error may be available in the server error log.

    Mi sa tanto che ਠuna delle limitazioni di Aruba… provo ad indagare sul forum.
    Ti faccio sapere

  • Alfredo 5 agosto 2009, 8:32

    Ciao, anche io ਠla prima volta che scrivo ma ti seguo costantemente in quanto, i tuoi articoli, mi sono stati di grande aiuto per l’installazione e configurazione di wordpress per due siti di associazioni che gestisco.

    Ho provato a fare l’aggiornamento automatico ma restituisce un errore:
    Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 2609151 bytes) in /web/htdocs/www.clubvelicomp.it/home/wp-includes/http.php on line 1331

    Il sito in questione ਠsu Aruba.
    Mi conviene procedere “manualmente” ?
    Grazie

    • gidibao 5 agosto 2009, 9:28

      Ciao Alfredo,

      benvenuto e grazie per il gentilissimo feedback! :-)

      Dal messaggio pare che tu non abbia una sufficiente memoria PHP…

      Prova ad inserire questo comando nel tuo wp-config.php:

      define('WP_MEMORY_LIMIT', '64M');

      e riprova quindi con l’aggiornamento automatico

      Fammi sapere…

      Gianni

      PS

      Kill Bill! ;-)

  • Stefan 4 agosto 2009, 16:17

    Ciao ਠla prima volta che scrivo su questo bellissimo e utilissimo blog! Grazie gidibao per la passione che metti in questo progetto!

    Veniamo al dunque, io sto su server aruba linux, provando ad aggiornare il blog dalla 2.8.2 alla 2.8.3 dopo alcuni minuti la pagina del browser firefox mi comunica “Completato” nonostante la sessione admin di wordpress rimane vuota con solo la colonna di sx e quella in alto, non ci sono le normali scritte che appaiano quando si fanno gli aggiornamenti…

    A questo punto non so pi๠se ho effettivamente fatto l’aggiornamento o meno, nonostante il mess di upgrade che nell’interfaccia admin di wp non appare pià¹, mentre in basso a sx vedo correttamente Versione 2.8.3 mah?!

    Preso dallo sconforto ho deciso di riassegnare tutte le permission alle cartelle tramite il pannello di controllo di aruba (cosa che avevo già  fatto in passato per risolvere questo tipo di problema, infatti negli aggiornamenti precedenti si verificava l’ormai famoso ERROR 500 che si sistemava con la riassegnazione delle permission!

    Dopo tale riassegnazione noto con piacere i normali messaggi di upgrade, anche se purtroppo alla fine mi rimane il “noto” errore http ancora irrisolto…

    Sotto il mess dopo la riassegnazione delle permission tramite pannello di controllo aruba:
    __________________________________________________________

    Warning: gzinflate() [function.gzinflate]: data error in /web/htdocs/www.nastyfly.it/home/wp-includes/http.php on line 1787

    Warning: gzuncompress() [function.gzuncompress]: data error in /web/htdocs/www.nastyfly.it/home/wp-includes/http.php on line 1792

    Aggiornamento di WordPress completato con successo
    ___________________________________________________________

    IDEE?

    Saluti e buona estate a tutti!
    Stefan

    Ps. scusate l’italiano sghembo ma vado un po’ di fretta ;-)

    • gidibao 4 agosto 2009, 23:57

      Ciao Stefan,

      grazie: sei molto gentile! :-)

      Hai la possibilità  di reinstallare manualmente WordPress 2.8.3 alla vecchia maniera?

      Fammi sapere…

      Gianni ;-)

      PS
      Nessun problema per l’italiano… ti sei fatto capire benissimo!

  • rob 4 agosto 2009, 11:59

    Non ho aggiornato NextGEN Gallery per evitare che succedano guai, dopo settimane passate a perfezionare il plugin ( :P ), e Contact Form 7, poiché la nuova versione ਠuna beta e ho visto che a me non funziona.
    Scusa la domanda stupida, ma per effetture il backup mi basta copiare tutti i file di wordpress in una cartella, giusto?

    • gidibao 4 agosto 2009, 23:23

      1. NextGEN Gallery versione 1.3.4 per un po’ di tempo può ancora andare bene (funziona dalla WP 2.7 in poi)

      2. Contact Form 7 versione 2.0.1 é quella stabile e va benissimo

      Per quanto concerne gli aggiornamenti (versioni stabili) per i plugin, fai sempre riferimento alle segnalazioni che ti arrivano in amministrazione via WordPress.org nella pagina dei plugin (non stare dietro alle versioni beta a patto che tu non voglia testarle)

      Scusa la domanda stupida, ma per effetture il backup mi basta copiare tutti i file di wordpress in una cartella, giusto?

      Posto che nessuna domanda é mai stupida, ecco la risposta:

      a. Backup del database: scarica il plugin WP-DBManager (prima di attivarlo leggi bene le istruzioni) per creare una copia di sicurezza delle tabelle del tuo database

      b. Backup file: .htaccess e wp-config.php

      c. Backup cartelle: wp-content

      Per maggiori informazioni leggi il mio articolo Come aggiornare WordPress

      A questo punto, con tutti i plugin compatibili e le copie di sicurezza in tasca, perché non provare il brivido dell’upgrade? :-)

      Un’ultima cosa prima di procedere: avessi come Host il servizio Aruba (Linux), leggi questo prima di aggiornare WordPress! ;-)

      Fammi sapere…

      Gianni

      • rob 5 agosto 2009, 14:10

        Oddio, vedremo quando avrò cinque minuti, e tanto coraggio, di provare il brivido (e la paura?) di aggiornare :D
        Intanto, Gianni, sono riuscito a risolvere il problema dello spazio tra la galleria e il titolo della pagina. Ho cancellato la riga ‘ clear: both; ‘ nel css della galleria :D

        • gidibao 5 agosto 2009, 14:50

          Ok bob, non c’é fretta! :-)

          Così come hai risolto il problema con il CSS (complimenti!) tra non molto supererai anche il brivido da upgrade… practice makes perfect ;-)

          PS

          I miei primi aggiornamenti (manuali) di WordPress furono principalmente caratterizzati da tachicardia, mancanza di salivazione, eccessiva sudorazione, etc. :mrgreen:

          Posso capire…! ;-)

  • rob 4 agosto 2009, 11:36

    Ciao Gianni,
    io sono ancora alla versione 2.8.0, poiché usando tanti plugin ho paura che dopo ci sia un malfunzionamento di qualcuno di essi. Il non aggiornare comporta qualche rischio?

    • gidibao 4 agosto 2009, 11:48

      Ciao rob,

      1. verifica l’aggiornamento di tutti i plugin che hai in questo momento attivi sul tuo sito: hanno tutti l’update alla loro ultima versione? Se sì, sei già  a buon punto! diversamente, aggiornali tutti ;-)

      2. vai alla pagina Plugin Directory di WordPress e verifica la compatibilità  dei tuoi plugin con la tua versione di WP in uso (2.8). Qualora la loro compatibilità  fosse data dalla sviluppatore (ad esempio) dalla 2.5 in poi, dalla 2.8 in poi, sino alla 2.8.2, effettua tranquillamente l’aggiornamento di WordPress alla 2.8.3 ;-)

      IMPORTANTE: (!) prima di procedere con l’upgrade alla 2.8.3, effettua il backup del database!

Leave a Comment

Next post:

Previous post: